#version 330

uniform mat4 mvMatrix;
uniform mat4 pMatrix;
uniform mat3 normalMatrix;
uniform vec3 spotDir[10];

in vec4 vVertex;
in vec3 vNormal;
in vec4 vColor;

out vec3 spot[10];
out vec3 normal, vertex;
out vec4 color;

void main(void) { 
	normal = normalize(normalMatrix * vNormal);

	vertex = vec3(mvMatrix * vVertex);

	spot[0] = spotDir[0];
	spot[1] = spotDir[1];
	for(int i=2;i<10;i++) {
		spot[i] = normalMatrix * spotDir[i];
	}

	color = vColor;

	mat4 mvpMatrix;
	mvpMatrix = pMatrix * mvMatrix;
	gl_Position = mvpMatrix * vVertex;
}